{- |
   Module      : Network.Socket.ByteString.Compat
   Copyright   : 2009 Felix Martini
   License     : BSD-style (see LICENSE for license terms)

   Maintainer  : felix@felixmartini.com
   Stability   : Experimental

   Functions in this module are compatible with functions in the
   Network.Socket.ByteString module from the network-bytestring
   package but use I/O functions from the winio package.
-}

module Network.Socket.ByteString.Compat where

import Data.ByteString (ByteString)
import Network.Socket (Socket, SockAddr)

import qualified System.Windows.IO as IO

send :: Socket -> ByteString -> IO Int
send = IO.sendBS

sendTo :: Socket -> ByteString -> SockAddr -> IO Int
sendTo = IO.sendToBS

recv :: Socket -> Int -> IO ByteString
recv = IO.recvBS

recvFrom :: Socket -> Int -> IO (ByteString, SockAddr)
recvFrom = IO.recvFromBS
